Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 6976)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 6977)
@@ -932,11 +932,11 @@
   _pppWidgets._minEle->setWhatsThis(tr("<p>Select a Minimum satellite Elevation for observations.</p><p>BNC will ignore an observation if the associated Satellite Elevation does not reach or exceed this minimum.</p><p>Selecting '10 deg' may be an appropriate choise in order to avoid too noisy observations."));
 
-  _pppWidgets._lcGPS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of GPS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of GPS observations.</p>"));
-
-  _pppWidgets._lcGLONASS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of GLONASS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of GLONASS observations.</p>"));
-
-  _pppWidgets._lcGalileo->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of Galileo observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of Galileo observations.</p>"));
-
-  _pppWidgets._lcBDS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of BDS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of BDS observations.</p>"));
+  _pppWidgets._lcGPS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of GPS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use code data and the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use phase data and the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, code and phase data through P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of GPS observations.</p>"));
+
+  _pppWidgets._lcGLONASS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of GLONASS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use code data and the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use phase data and the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, code and phase data through P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of GLONASS observations.</p>"));
+
+  _pppWidgets._lcGalileo->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of Galileo observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use code data and the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use phase data and the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, code and phase data through P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of Galileo observations.</p>"));
+
+  _pppWidgets._lcBDS->setWhatsThis(tr("<p>Specify on which kind of ionosphere-free linear combination of BDS observations you want to base ambiguity resolutions.</p><p><ul><li>Specifying 'P3' means that you request BNC to use code data and the so-called P3 ionosphere-free linear combination of code observations.</li><li>'L3' means that you request BNC to use phase data and the so-called L3 ionosphere-free linear combination of phase observations.</li> <li>'P3&L3' means that you request BNC to use both, code and phase data through P3 and L3 ionosphere-free linear combination of code and phase observations.</li></ul></p><p>Specifying 'no' means that you don't want BNC to estimate ambiguities using linear combinations of BDS observations.</p>"));
 
   QVBoxLayout* pppLayout2 = new QVBoxLayout();