Index: unk/BNC/Example_Configs/15_Upload.bnc
===================================================================
--- /trunk/BNC/Example_Configs/15_Upload.bnc	(revision 7116)
+++ 	(revision )
@@ -1,160 +1,0 @@
-[General]
-adviseFail=15
-adviseReco=5
-adviseScript=
-autoStart=0
-binSampl=0
-casterUrlList=http://User:Pass@products.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
-cmbMaxres=
-cmbMethod=Filter
-cmbSampl=10
-cmbUseGlonass=0
-combineStreams=
-corrIntr=1 day
-corrPath=
-corrPort=
-ephIntr=1 day
-ephPath=
-ephV3=0
-font=
-ignoreSslErrors=0
-logFile=Output/Upload.log
-miscMount=
-miscPort=
-mountPoints=//localhost:6501/ENGINE RTNET 0 0 no N, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 50.09 8.66 no 1
-ntripVersion=1
-obsRate=
-onTheFlyInterval=1 day
-outEphPort=
-outFile=
-outPort=
-outUPort=
-perfIntr=
-proxyHost=
-proxyPort=
-rawOutFile=
-reqcAction=
-reqcComment=
-reqcEndDateTime=
-reqcLogSummaryOnly=0
-reqcNavFile=
-reqcNewAntennaName=
-reqcNewAntennaNumber=
-reqcNewAntennadE=
-reqcNewAntennadN=
-reqcNewAntennadU=
-reqcNewMarkerName=
-reqcNewReceiverName=
-reqcNewReceiverNumber=
-reqcObsFile=
-reqcOldAntennaName=
-reqcOldAntennaNumber=
-reqcOldAntennadE=
-reqcOldAntennadN=
-reqcOldAntennadU=
-reqcOldMarkerName=
-reqcOldReceiverName=
-reqcOldReceiverNumber=
-reqcOutLogFile=
-reqcOutNavFile=
-reqcOutObsFile=
-reqcPlotDir=
-reqcRnxVersion=
-reqcRunBy=
-reqcSampling=
-reqcSkyPlotSignals=
-reqcStartDateTime=
-reqcUseObsTypes=
-reqcV2Priority=
-rnxAppend=2
-rnxIntr=1 day
-rnxOnlyWithSKL=0
-rnxPath=
-rnxSampl=0
-rnxScript=
-rnxSkel=SKL
-rnxV2Priority=CWPX_?
-rnxV3=0
-scanRTCM=0
-serialAutoNMEA=Auto
-serialBaudRate=9600
-serialDataBits=8
-serialFileNMEA=
-serialFlowControl=OFF
-serialHeightNMEA=
-serialManualNMEASampling=0
-serialMountPoint=
-serialParity=NONE
-serialPortName=
-serialStopBits=1
-sp3CompExclude=
-sp3CompFile=
-sp3CompOutLogFile=
-sslCaCertPath=
-startTab=16
-statusTab=0
-trafo_dx=
-trafo_dxr=
-trafo_dy=
-trafo_dyr=
-trafo_dz=
-trafo_dzr=
-trafo_ox=
-trafo_oxr=
-trafo_oy=
-trafo_oyr=
-trafo_oz=
-trafo_ozr=
-trafo_sc=
-trafo_scr=
-trafo_t0=
-uploadAntexFile=Input/igs08.atx
-uploadEphHost=
-uploadEphMountpoint=
-uploadEphPassword=
-uploadEphPort=
-uploadEphSample=5
-uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS08,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
-uploadSamplClkRnx=0
-uploadSamplRtcmEphCorr=0
-uploadSamplSp3=0
-waitTime=1
-
-[PPP]
-antexFile=
-audioResponse=
-corrFile=
-corrMount=
-corrWaitTime=0
-crdFile=
-dataSource=
-eleWgtCode=0
-eleWgtPhase=0
-lcBDS=no
-lcGLONASS=no
-lcGPS=no
-lcGalileo=no
-logFilePPP=
-mapSpeedSlider=100
-mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
-mapWinDotSize=
-maxResC1=4.0
-maxResL1=0.03
-minEle=0
-minObs=4
-nmeaFile=
-nmeaFile=
-plotCoordinates=
-rinexNav=
-rinexObs=
-seedingTime=0
-sigmaC1=2.0
-sigmaL1=0.01
-snxtroFile=
-snxtroSampl=0
-staTable=@Invalid()
-useGoogleMap=false
-useOpenStreetMap=false
Index: /trunk/BNC/Example_Configs/16_Upload.bnc
===================================================================
--- /trunk/BNC/Example_Configs/16_Upload.bnc	(revision 7117)
+++ /trunk/BNC/Example_Configs/16_Upload.bnc	(revision 7117)
@@ -0,0 +1,160 @@
+[General]
+adviseFail=15
+adviseReco=5
+adviseScript=
+autoStart=0
+binSampl=0
+casterUrlList=http://User:Pass@products.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
+cmbMaxres=
+cmbMethod=Filter
+cmbSampl=10
+cmbUseGlonass=0
+combineStreams=
+corrIntr=1 day
+corrPath=
+corrPort=
+ephIntr=1 day
+ephPath=
+ephV3=0
+font=
+ignoreSslErrors=0
+logFile=Output/Upload.log
+miscMount=
+miscPort=
+mountPoints=//localhost:6501/ENGINE RTNET 0 0 no N, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 50.09 8.66 no 1
+ntripVersion=1
+obsRate=
+onTheFlyInterval=1 day
+outEphPort=
+outFile=
+outPort=
+outUPort=
+perfIntr=
+proxyHost=
+proxyPort=
+rawOutFile=
+reqcAction=
+reqcComment=
+reqcEndDateTime=
+reqcLogSummaryOnly=0
+reqcNavFile=
+reqcNewAntennaName=
+reqcNewAntennaNumber=
+reqcNewAntennadE=
+reqcNewAntennadN=
+reqcNewAntennadU=
+reqcNewMarkerName=
+reqcNewReceiverName=
+reqcNewReceiverNumber=
+reqcObsFile=
+reqcOldAntennaName=
+reqcOldAntennaNumber=
+reqcOldAntennadE=
+reqcOldAntennadN=
+reqcOldAntennadU=
+reqcOldMarkerName=
+reqcOldReceiverName=
+reqcOldReceiverNumber=
+reqcOutLogFile=
+reqcOutNavFile=
+reqcOutObsFile=
+reqcPlotDir=
+reqcRnxVersion=
+reqcRunBy=
+reqcSampling=
+reqcSkyPlotSignals=
+reqcStartDateTime=
+reqcUseObsTypes=
+reqcV2Priority=
+rnxAppend=2
+rnxIntr=1 day
+rnxOnlyWithSKL=0
+rnxPath=
+rnxSampl=0
+rnxScript=
+rnxSkel=SKL
+rnxV2Priority=CWPX_?
+rnxV3=0
+scanRTCM=0
+serialAutoNMEA=Auto
+serialBaudRate=9600
+serialDataBits=8
+serialFileNMEA=
+serialFlowControl=OFF
+serialHeightNMEA=
+serialManualNMEASampling=0
+serialMountPoint=
+serialParity=NONE
+serialPortName=
+serialStopBits=1
+sp3CompExclude=
+sp3CompFile=
+sp3CompOutLogFile=
+sslCaCertPath=
+startTab=16
+statusTab=0
+trafo_dx=
+trafo_dxr=
+trafo_dy=
+trafo_dyr=
+trafo_dz=
+trafo_dzr=
+trafo_ox=
+trafo_oxr=
+trafo_oy=
+trafo_oyr=
+trafo_oz=
+trafo_ozr=
+trafo_sc=
+trafo_scr=
+trafo_t0=
+uploadAntexFile=Input/igs08.atx
+uploadEphHost=
+uploadEphMountpoint=
+uploadEphPassword=
+uploadEphPort=
+uploadEphSample=5
+uploadIntr=1 day
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,Pass,IGS08,0,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadSamplClkRnx=0
+uploadSamplRtcmEphCorr=0
+uploadSamplSp3=0
+waitTime=1
+
+[PPP]
+antexFile=
+audioResponse=
+corrFile=
+corrMount=
+corrWaitTime=0
+crdFile=
+dataSource=
+eleWgtCode=0
+eleWgtPhase=0
+lcBDS=no
+lcGLONASS=no
+lcGPS=no
+lcGalileo=no
+logFilePPP=
+mapSpeedSlider=100
+mapWinDotColor=red
+mapWinDotColor=red
+mapWinDotSize=
+mapWinDotSize=
+maxResC1=4.0
+maxResL1=0.03
+minEle=0
+minObs=4
+nmeaFile=
+nmeaFile=
+plotCoordinates=
+rinexNav=
+rinexObs=
+seedingTime=0
+sigmaC1=2.0
+sigmaL1=0.01
+snxtroFile=
+snxtroSampl=0
+staTable=@Invalid()
+useGoogleMap=false
+useOpenStreetMap=false