Index: unk/BNC/Example_Configs/09_PPPQuickStart.bnc
===================================================================
--- /trunk/BNC/Example_Configs/09_PPPQuickStart.bnc	(revision 7122)
+++ 	(revision )
@@ -1,160 +1,0 @@
-[General]
-adviseFail=15
-adviseReco=5
-adviseScript=
-autoStart=0
-binSampl=0
-casterUrlList=http://User:Pass@products.igs-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
-cmbMaxres=
-cmbMethod=Filter
-cmbSampl=10
-cmbUseGlonass=0
-combineStreams=
-corrIntr=1 day
-corrPath=
-corrPort=
-ephIntr=1 day
-ephPath=
-ephV3=0
-font=
-ignoreSslErrors=0
-logFile=Output/PPPQuickStart.log
-miscMount=
-miscPort=
-mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 50.09 8.66 no 1
-ntripVersion=1
-obsRate=
-onTheFlyInterval=1 day
-outEphPort=
-outFile=
-outPort=
-outUPort=
-perfIntr=
-proxyHost=
-proxyPort=
-rawOutFile=
-reqcAction=
-reqcComment=
-reqcEndDateTime=
-reqcLogSummaryOnly=0
-reqcNavFile=
-reqcNewAntennaName=
-reqcNewAntennaNumber=
-reqcNewAntennadE=
-reqcNewAntennadN=
-reqcNewAntennadU=
-reqcNewMarkerName=
-reqcNewReceiverName=
-reqcNewReceiverNumber=
-reqcObsFile=
-reqcOldAntennaName=
-reqcOldAntennaNumber=
-reqcOldAntennadE=
-reqcOldAntennadN=
-reqcOldAntennadU=
-reqcOldMarkerName=
-reqcOldReceiverName=
-reqcOldReceiverNumber=
-reqcOutLogFile=
-reqcOutNavFile=
-reqcOutObsFile=
-reqcPlotDir=
-reqcRnxVersion=
-reqcRunBy=
-reqcSampling=
-reqcSkyPlotSignals=
-reqcStartDateTime=
-reqcUseObsTypes=
-reqcV2Priority=
-rnxAppend=2
-rnxIntr=1 day
-rnxOnlyWithSKL=0
-rnxPath=
-rnxSampl=0
-rnxScript=
-rnxSkel=SKL
-rnxV2Priority=CWPX_?
-rnxV3=0
-scanRTCM=0
-serialAutoNMEA=Auto
-serialBaudRate=9600
-serialDataBits=8
-serialFileNMEA=
-serialFlowControl=OFF
-serialHeightNMEA=
-serialManualNMEASampling=0
-serialMountPoint=
-serialParity=NONE
-serialPortName=
-serialStopBits=1
-sp3CompExclude=
-sp3CompFile=
-sp3CompOutLogFile=
-sslCaCertPath=
-startTab=11
-statusTab=3
-trafo_dx=
-trafo_dxr=
-trafo_dy=
-trafo_dyr=
-trafo_dz=
-trafo_dzr=
-trafo_ox=
-trafo_oxr=
-trafo_oy=
-trafo_oyr=
-trafo_oz=
-trafo_ozr=
-trafo_sc=
-trafo_scr=
-trafo_t0=
-uploadAntexFile=
-uploadEphHost=
-uploadEphMountpoint=
-uploadEphPassword=
-uploadEphPort=
-uploadEphSample=5
-uploadIntr=1 day
-uploadMountpointsOut=
-uploadSamplClkRnx=0
-uploadSamplRtcmEphCorr=0
-uploadSamplSp3=0
-waitTime=1
-
-[PPP]
-antexFile=Input/igs08.atx
-audioResponse=
-corrFile=
-corrMount=
-corrWaitTime=5
-crdFile=Input/APRIORI.CRD
-dataSource=Real-Time Streams
-eleWgtCode=2
-eleWgtPhase=0
-lcBDS=no
-lcGLONASS=L3
-lcGPS=L3
-lcGalileo=no
-logFilePPP=Output/PPP_${STATION}_${DATE}.log
-mapSpeedSlider=100
-mapWinDotColor=red
-mapWinDotColor=red
-mapWinDotSize=
-mapWinDotSize=6
-maxResC1=4.0
-maxResL1=0.03
-minEle=7
-minObs=4
-nmeaFile=Output/nmea.txt
-nmeaFile=Output/PPP_${STATION}_${DATE}.nmea
-plotCoordinates=FFMJ1
-rinexNav=
-rinexObs=
-seedingTime=20
-sigmaC1=2.0
-sigmaL1=0.01
-snxtroFile=Output/PPP_${STATION}.${YY}.zpd
-snxtroSampl=30
-staTable="FFMJ1,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,7777,"
-useGoogleMap=true
-useOpenStreetMap=false
Index: /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 7123)
+++ /trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 7123)
@@ -0,0 +1,160 @@
+[General]
+adviseFail=15
+adviseReco=5
+adviseScript=
+autoStart=0
+binSampl=0
+casterUrlList=http://User:Pass@products.igs-ip.net:2101, http://User:Pass@www.igs-ip.net:2101, http://User:Pass@www.euref-ip.net:2101, http://User:Pass@mgex.igs-ip.net:2101
+cmbMaxres=
+cmbMethod=Filter
+cmbSampl=10
+cmbUseGlonass=0
+combineStreams=
+corrIntr=1 day
+corrPath=
+corrPort=
+ephIntr=1 day
+ephPath=
+ephV3=0
+font=
+ignoreSslErrors=0
+logFile=Output/PPPQuickStart.log
+miscMount=
+miscPort=
+mountPoints=//Example:Configs@products.igs-ip.net:2101/IGS03 RTCM_3.0 50.00 10.00 no 1, //Example:Configs@products.igs-ip.net:2101/RTCM3EPH RTCM_3 50.09 8.66 no 1, //Example:Configs@www.igs-ip.net:2101/FFMJ1 RTCM_3.0 50.09 8.66 no 1
+ntripVersion=1
+obsRate=
+onTheFlyInterval=1 day
+outEphPort=
+outFile=
+outPort=
+outUPort=
+perfIntr=
+proxyHost=
+proxyPort=
+rawOutFile=
+reqcAction=
+reqcComment=
+reqcEndDateTime=
+reqcLogSummaryOnly=0
+reqcNavFile=
+reqcNewAntennaName=
+reqcNewAntennaNumber=
+reqcNewAntennadE=
+reqcNewAntennadN=
+reqcNewAntennadU=
+reqcNewMarkerName=
+reqcNewReceiverName=
+reqcNewReceiverNumber=
+reqcObsFile=
+reqcOldAntennaName=
+reqcOldAntennaNumber=
+reqcOldAntennadE=
+reqcOldAntennadN=
+reqcOldAntennadU=
+reqcOldMarkerName=
+reqcOldReceiverName=
+reqcOldReceiverNumber=
+reqcOutLogFile=
+reqcOutNavFile=
+reqcOutObsFile=
+reqcPlotDir=
+reqcRnxVersion=
+reqcRunBy=
+reqcSampling=
+reqcSkyPlotSignals=
+reqcStartDateTime=
+reqcUseObsTypes=
+reqcV2Priority=
+rnxAppend=2
+rnxIntr=1 day
+rnxOnlyWithSKL=0
+rnxPath=
+rnxSampl=0
+rnxScript=
+rnxSkel=SKL
+rnxV2Priority=CWPX_?
+rnxV3=0
+scanRTCM=0
+serialAutoNMEA=Auto
+serialBaudRate=9600
+serialDataBits=8
+serialFileNMEA=
+serialFlowControl=OFF
+serialHeightNMEA=
+serialManualNMEASampling=0
+serialMountPoint=
+serialParity=NONE
+serialPortName=
+serialStopBits=1
+sp3CompExclude=
+sp3CompFile=
+sp3CompOutLogFile=
+sslCaCertPath=
+startTab=11
+statusTab=3
+trafo_dx=
+trafo_dxr=
+trafo_dy=
+trafo_dyr=
+trafo_dz=
+trafo_dzr=
+trafo_ox=
+trafo_oxr=
+trafo_oy=
+trafo_oyr=
+trafo_oz=
+trafo_ozr=
+trafo_sc=
+trafo_scr=
+trafo_t0=
+uploadAntexFile=
+uploadEphHost=
+uploadEphMountpoint=
+uploadEphPassword=
+uploadEphPort=
+uploadEphSample=5
+uploadIntr=1 day
+uploadMountpointsOut=
+uploadSamplClkRnx=0
+uploadSamplRtcmEphCorr=0
+uploadSamplSp3=0
+waitTime=1
+
+[PPP]
+antexFile=Input/igs08.atx
+audioResponse=
+corrFile=
+corrMount=
+corrWaitTime=5
+crdFile=Input/APRIORI.CRD
+dataSource=Real-Time Streams
+eleWgtCode=2
+eleWgtPhase=0
+lcBDS=no
+lcGLONASS=L3
+lcGPS=L3
+lcGalileo=no
+logFilePPP=Output/PPP_${STATION}_${DATE}.log
+mapSpeedSlider=100
+mapWinDotColor=red
+mapWinDotColor=red
+mapWinDotSize=
+mapWinDotSize=6
+maxResC1=4.0
+maxResL1=0.03
+minEle=7
+minObs=4
+nmeaFile=Output/nmea.txt
+nmeaFile=Output/PPP_${STATION}_${DATE}.nmea
+plotCoordinates=FFMJ1
+rinexNav=
+rinexObs=
+seedingTime=20
+sigmaC1=2.0
+sigmaL1=0.01
+snxtroFile=Output/PPP_${STATION}.${YY}.zpd
+snxtroSampl=30
+staTable="FFMJ1,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,7777,"
+useGoogleMap=true
+useOpenStreetMap=false