Index: /trunk/BNC/Example_Configs/00_Readme.txt
===================================================================
--- /trunk/BNC/Example_Configs/00_Readme.txt	(revision 7124)
+++ /trunk/BNC/Example_Configs/00_Readme.txt	(revision 7125)
@@ -120,5 +120,12 @@
 Corrections. Positions are saved in the logfile. 
 
-9. File 'PPPQuickStart.bnc'
+9. File 'PPPNet.bnc'
+The purpose of this configuration is siumultaneous Precise Point Positioning 
+from observations of several rover receivers or a network of reference 
+stations. The configuration reads several RTCM Version 3 observation streams, 
+a Broadcast Ephemeris stream and a stream with Broadcast Corrections. 
+Positions are saved per station in the logfile. 
+
+10. File 'PPPQuickStart.bnc'
 The purpose of this configuration is Precise Point Positioning in Quick-Start 
 mode from observations of a static receiver with precisely known position. The 
@@ -128,5 +135,5 @@
 tools like RTKPLOT. Positions are also saved in the logfile. 
 
-10. File 'PPPPostProc.bnc'
+11. File 'PPPPostProc.bnc'
 The purpose of this configuration is Precise Point Positioning in Post 
 Processing mode. BNC reads a RINEX Observation and a RINEX Version 3 Navigation 
@@ -136,5 +143,5 @@
 implemented PPP filter algorithm. 
 
-11. File 'PPPGoogleMaps.bnc'
+12. File 'PPPGoogleMaps.bnc'
 The purpose of this configuration is to track BNC's point positioning
 solution using Google Maps or Open StreetMap as background. BNC reads a
@@ -146,5 +153,5 @@
 on top of GM/OSM maps.
 
-12. File 'SPPQuickStartGal.bnc'
+13. File 'SPPQuickStartGal.bnc'
 The purpose of this configuration is Single Point Positioning in Quick-Start 
 mode from observations of a static receiver with precisely known position. The 
@@ -152,5 +159,5 @@
 Ephemeris stream. 
 
-13. File 'SaveSp3.bnc'
+14. File 'SaveSp3.bnc'
 The purpose of this configuration is to produce SP3 files from a Broadcast 
 Ephemeris stream and a Broadcast Corrections stream. The Broadcast Corrections 
@@ -159,5 +166,5 @@
 referred to CoM. 
 
-14. File 'Sp3ETRF2000PPP.bnc'
+15. File 'Sp3ETRF2000PPP.bnc'
 The purpose of this configuration is to produce SP3 files from a Broadcast 
 Ephemeris stream and a stream carrying ETRF2000 Broadcast Corrections. The 
@@ -168,5 +175,5 @@
 with ETRF2000 reference coordinates. 
 
-15. File 'Upload.bnc'
+16. File 'Upload.bnc'
 The purpose of this configuration is to upload orbits and clocks from a 
 real-time GNSS engine to an NTRIP Broadcaster. For that the configuration reads 
@@ -178,5 +185,5 @@
 and clocks in Clock RINEX format. 
 
-16. File 'UploadPPP.bnc'
+17. File 'UploadPPP.bnc'
 This configuration equals the 'Upload.bnc' configuration. However, the 
 Broadcast Corrections are in addition used for an 'INTERNAL' PPP solution based 
@@ -185,5 +192,5 @@
 observing coordinate displacements. 
 
-17. File 'Combi.bnc'
+18. File 'Combi.bnc'
 The purpose of this configuration is to pull several streams carrying Broadcast 
 Corrections and a Broadcast Ephemeris stream from an NTRIP Broadcaster to 
@@ -194,5 +201,5 @@
 and clocks in Clock RINEX format. 
 
-18. File 'CombiPPP.bnc'
+19. File 'CombiPPP.bnc'
 This configuration equals the 'Combi.bnc' configuration. However, the combined 
 Broadcast Corrections are in addition used for an 'INTERNAL' PPP solutions 
@@ -201,5 +208,5 @@
 through observing coordinate displacements. 
 
-19. File 'UploadEph.bnc'
+20. File 'UploadEph.bnc'
 The purpose of this configuration is to pull a number of streams from reference 
 stations to get hold of contained Broadcast Ephemeris messages. These are 
@@ -207,5 +214,5 @@
 with an update rate of 5 seconds. 
 
-20. File 'CompareSp3.bnc'
+21. File 'CompareSp3.bnc'
 The purpose of this configuration is to compare two SP3 files to calculate 
 RMS values for orbit and clock differences. GPS satellite G05 and GLONASS 
@@ -213,5 +220,5 @@
 in a logfile. 
 
-21. File 'Empty.bnc'
+22. File 'Empty.bnc'
 The purpose of this example is to provide an empty configuration file for BNC
 which only contains the default settings.