Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 7213)
+++ /trunk/BNC/src/bnchelp.html	(revision 7214)
@@ -754,5 +754,5 @@
 
 <p><img src="IMG/screenshot16.png"/></p>
-<p><u>Figure 8:</u> BNC translating incoming streams to 15 min RINEX Version 3 files.</p>
+<p><u>Figure 8:</u> BNC translating incoming observation streams to 15 min RINEX Version 3 Observation files.</p>
 
 <p><a name="rnxname"><h4>3.4.1 RINEX File Names</h4></p>
@@ -1016,4 +1016,7 @@
 <p>Default is an empty check box, meaning to still use file names following the RINEX Version 2 standard although the file contents is saved in RINEX Version 3 format.
 </p>
+
+<p><img src="IMG/screenshot42.png"/></p>
+<p><u>Figure 9:</u> Converting Broadcast Ephemeris stream to RINEX Version 3 Navigation file.</p>
 
 <p><a name="reqc"><h4>3.6. RINEX Editing & QC</h4></p>
@@ -1264,20 +1267,20 @@
 
 <p><img src="IMG/screenshot27.png"/></p>
-<p><u>Figure 9:</u> Example for 'RINEX Editing Options' window.</p>
+<p><u>Figure 10:</u> Example for 'RINEX Editing Options' window.</p>
 
 <p><img src="IMG/screenshot25.png"/></p>
-<p><u>Figure 10:</u> Example for RINEX file concatenation with BNC.</p>
+<p><u>Figure 11:</u> Example for RINEX file concatenation with BNC.</p>
 
 <p><img src="IMG/screenshot29.png"/></p>
-<p><u>Figure 11:</u> Example for creating RINEX quality check analysis graphics output with BNC.</p>
+<p><u>Figure 12:</u> Example for creating RINEX quality check analysis graphics output with BNC.</p>
 
 <p><img src="IMG/screenshot30.png"/></p>
-<p><u>Figure 12:</u> Example for satellite availability, elevation and PDOP plots as a result of a RINEX quality check analysis with BNC.</p>
+<p><u>Figure 13:</u> Example for satellite availability, elevation and PDOP plots as a result of a RINEX quality check analysis with BNC.</p>
 
 <p><img src="IMG/screenshot33.png"/></p>
-<p><u>Figure 13:</u> Sky plot examples for multipath, part of RINEX quality check analysis with BNC.</p>
+<p><u>Figure 14:</u> Sky plot examples for multipath, part of RINEX quality check analysis with BNC.</p>
 
 <p><img src="IMG/screenshot34.png"/></p>
-<p><u>Figure 14:</u> Sky plot examples for signal-to-noise ratio, part of RINEX quality check analysis with BNC.</p>
+<p><u>Figure 15:</u> Sky plot examples for signal-to-noise ratio, part of RINEX quality check analysis with BNC.</p>
 
 <p><a name="reqccommand"><h4>3.6.8 Command Line, No Window - optional</h4></p>
@@ -1467,5 +1470,5 @@
 
 <p><img src="IMG/screenshot36.png"/></p>
-<p><u>Figure 15:</u> BNC configuration example for comparing two SP3 files with satellite orbit and clock data.</p>
+<p><u>Figure 16:</u> BNC configuration example for comparing two SP3 files with satellite orbit and clock data.</p>
 
 <p><a name="correct"><h4>3.8. Broadcast Corrections</h4></p>
@@ -1477,16 +1480,24 @@
 </p>
 <p>
-RTCM has developed Version 3 messages to transport satellite orbit and clock corrections in real-time. Note that corrections refer to satellite Antenna Phase Centers (APC). The current set of SSR messages concerns:
+RTCM is currently developing Version 3 messages to transport SSR corrections in real-time. They refer to satellite Antenna Phase Center (APC). SSR messages adopted or recently proposed concern:
+
+<ul>
+<li>SSR, Step I:</li>
 <ul>
 <li>Orbit corrections to Broadcast Ephemeris</li>
 <li>Clock corrections to Broadcast Ephemeris</li>
+<li>High-rate clock corrections to Broadcast Ephemeris</li>
 <li>Combined orbit and clock corrections to Broadcast Ephemeris</li>
 <li>User Range Accuracy (URA)</li>
 <li>High Rate User Range Accuracy (HR URA)</li>
 <li>Code biases</li>
+</ul>
+<li>SSR, Step II:</li>
+<ul>
 <li>Phase biases</li>
-<li>High-rate GPS clock corrections to Broadcast Ephemeris</li>
 <li>Vertical Total Electron Content (VTEC)</li>
 </ul>
+</ul>
+
 <p>
 RTCM Version 3 streams carrying these messages may be used i.e. to support real-time Precise Point Positioning (PPP) applications.
@@ -1815,5 +1826,5 @@
 
 <p><img src="IMG/screenshot37.png"/></p>
-<p><u>Figure 16:</u> BNC configuration example for pulling, saving and output of Broadcast Corrections.</p>
+<p><u>Figure 17:</u> BNC configuration example for pulling, saving and output of Broadcast Corrections.</p>
 
 <p><a name="syncout"><h4>3.9. Feed Engine</h4></p>
@@ -1896,5 +1907,5 @@
 </p>
 <p><img src="IMG/screenshot12.png"/></p>
-<p><u>Figure 17:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
+<p><u>Figure 18:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
 
 <p><a name="syncport"><h4>3.9.1 Port - optional</h4></p>
@@ -1938,5 +1949,5 @@
 
 <p><img src="IMG/screenshot35.png"/></p>
-<p><u>Figure 18:</u> Flowcharts, BNC forwarding a stream to a serial connected receiver; sending NMEA sentences is mandatory for VRS streams.</p>
+<p><u>Figure 19:</u> Flowcharts, BNC forwarding a stream to a serial connected receiver; sending NMEA sentences is mandatory for VRS streams.</p>
 
 <p>
@@ -1945,5 +1956,5 @@
 
 <p><img src="IMG/screenshot11.png"/></p>
-<p><u>Figure 19:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
+<p><u>Figure 20:</u> BNC pulling a VRS stream to feed a serial connected RTK rover.</p>
 
 <p><a name="sermount"><h4>3.10.1 Mountpoint - optional</h4></p>
@@ -2104,5 +2115,5 @@
 </p>
 <p><img src="IMG/screenshot14.png"/></p>
-<p><u>Figure 20:</u> RTCM message numbers, latencies and observation types.</p>
+<p><u>Figure 21:</u> RTCM message numbers, latencies and observation types.</p>
 
 
@@ -2208,7 +2219,9 @@
 </ul>
 </p>
+
 <p>
 The provider of an orbit/clock corrections stream may switch with his service at any time from a duty to a backup server installation. This shall be noted in the SSR stream through a change of the Issue Of Data (IOD SSR) parameter. The PPP option in BNC will immediately reset all ambiguities in such a situation.
 </p>
+
 <p>
 PPP options are specified in BNC through the following four panels.
@@ -2227,5 +2240,5 @@
 
 <p><img src="IMG/screenshot03.png"/></p>
-<p><u>Figure 21:</u> Real-time Precise Point Positioning with BNC, PPP Panel 1.</p>
+<p><u>Figure 22:</u> Real-time Precise Point Positioning with BNC, PPP Panel 1.</p>
 
 <p><a name="pppdatasource"><h4>3.13.1.1 Data Source - optional</h4></p>
@@ -2622,5 +2635,5 @@
 
 <p><img src="IMG/screenshot17.png"/></p>
-<p><u>Figure 22:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
+<p><u>Figure 23:</u> Precise Point Positioning with BNC, PPP Panel 2.</p>
 
 <p><a name="pppsite"><h4>3.13.2.1 Station - mandatory</h4></p>
@@ -2667,5 +2680,5 @@
 
 <p><img src="IMG/screenshot18.png"/></p>
-<p><u>Figure 23:</u> Precise Point Positioning with BNC, PPP Panel 3.</p>
+<p><u>Figure 24:</u> Precise Point Positioning with BNC, PPP Panel 3.</p>
 
 <p><a name="ppplinecombi"><h4>3.13.3.1 Linear Combinations - mandatory</h4></p>
@@ -2773,5 +2786,5 @@
 
 <p><img src="IMG/screenshot22.png"/></p>
-<p><u>Figure 24:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
+<p><u>Figure 25:</u> BNC in 'Quick-Start' mode (PPP, Panel 2)</p>
 
 <p><a name="pppaverage"><h4>3.13.3.NN Averaging - optional if XYZ is set</h4></p>
@@ -2811,5 +2824,5 @@
 
 <p><img src="IMG/screenshot32.png"/></p>
-<p><u>Figure 25:</u> Track of positions from BNC with Google Maps in the background.</p>
+<p><u>Figure 26:</u> Track of positions from BNC with Google Maps in the background.</p>
 
 <p><a name="pppmaptype"><h4>3.13.4.3.1 Google/OSM - mandatory before pushing 'Open Map'</h4></p>
@@ -2819,5 +2832,5 @@
 
 <p><img src="IMG/screenshot41.png"/></p>
-<p><u>Figure 26:</u> Example for a background map from Google Maps and OpenStreetMap (OSM).</p>
+<p><u>Figure 27:</u> Example for a background map from Google Maps and OpenStreetMap (OSM).</p>
 
 <p><a name="pppdotprop"><h4>3.13.4.4 Dot-properties - mandatory before pushing 'Open Map'</h4></p>
@@ -2925,11 +2938,11 @@
 <br>
 <p><img src="IMG/screenshot20.png"/></p>
-<p><u>Figure 27:</u> BNC combining Broadcast Correction streams.</p>
+<p><u>Figure 28:</u> BNC combining Broadcast Correction streams.</p>
 <p></p>
 <p><img src="IMG/screenshot21.png"/></p>
-<p><u>Figure 28:</u> BNC uploading the combined Broadcast Corrections stream.</p>
+<p><u>Figure 29:</u> BNC uploading the combined Broadcast Corrections stream.</p>
 <p></p>
 <p><img src="IMG/screenshot23.png"/></p>
-<p><u>Figure 29:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
+<p><u>Figure 30:</u> 'INTERNAL' PPP with BNC using combined Broadcast Corrections stream.</p>
 
 <p><a name="combimethod"><h4>3.14.1.2 Method - mandatory if 'Combine Corrections' table is populated</h4></p>
@@ -3254,5 +3267,5 @@
 
 <p><img src="IMG/screenshot38.png"/></p>
-<p><u>Figure 30:</u> Setting Custom Transformation Parameters window, example for 'ITRF2008->GDA94'.</p>
+<p><u>Figure 31:</u> Setting Custom Transformation Parameters window, example for 'ITRF2008->GDA94'.</p>
 
 <p><a name="upcom"><h4>3.15.4 Center of Mass - optional</h4></p>
@@ -3343,5 +3356,5 @@
 </p>
 <p><img src="IMG/screenshot26.png"/></p>
-<p><u>Figure 31:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
+<p><u>Figure 32:</u> Producing Broadcast Corrections from incoming precise orbits and clocks and uploading them to an NTRIP Broadcaster.</p>
 
 <p><a name="upantex"><h4>3.15.10 ANTEX File - mantatory if 'SP3 File' is specified</h4></p>
@@ -3374,5 +3387,5 @@
 
 <p><img src="IMG/screenshot28.png"/></p>
-<p><u>Figure 32:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
+<p><u>Figure 33:</u> Producing a Broadcast Ephemeris stream from navigation messages of globally distributed RTCM streams and uploading them in RTCM Version 3 format to an NTRIP Broadcaster.</p>
 
 <p><a name="streams"><h4>3.17. Streams</h4></p>
@@ -3441,5 +3454,5 @@
 
 <p><img src="IMG/screenshot08.png"/></p>
-<p><u>Figure 33:</u> Bandwidth consumption of incoming streams.</p>
+<p><u>Figure 34:</u> Bandwidth consumption of incoming streams.</p>
 
 <p><a name="latency"><h4>3.18.3 Latency</h4></p>
@@ -3449,5 +3462,5 @@
 
 <p><img src="IMG/screenshot07.png"/></p>
-<p><u>Figure 34:</u> Latency of incoming streams.</p>
+<p><u>Figure 35:</u> Latency of incoming streams.</p>
 
 <p><a name="ppptab"><h4>3.18.4 PPP Plot</h4></p>
@@ -3457,5 +3470,5 @@
 
 <p><img src="IMG/screenshot13.png"/></p>
-<p><u>Figure 35:</u> Time series plot of PPP session.</p>
+<p><u>Figure 36:</u> Time series plot of PPP session.</p>
 
 <p><a name="bottom"><h4>3.19. Bottom Menu Bar</h4></p>
@@ -3465,5 +3478,5 @@
 
 <p><img src="IMG/screenshot06.png"/></p>
-<p><u>Figure 36:</u> Steam input communication links.</p>
+<p><u>Figure 37:</u> Steam input communication links.</p>
 
 <p><a name="streamadd"><h4>3.19.1 Add Stream</h4></p>
@@ -3490,5 +3503,5 @@
 <p><img src="IMG/screenshot04.png"/></p>
 
-<p><u>Figure 37:</u> Casters table.</p>
+<p><u>Figure 38:</u> Casters table.</p>
 
 <p><a name="streamuser"><h4>3.19.1.1.3 User and Password - mandatory for protected streams</h4></p>
@@ -3508,5 +3521,5 @@
 </p>
 <p><img src="IMG/screenshot05.png"/></p>
-<p><u>Figure 38:</u> Broadcaster source-table.</p>
+<p><u>Figure 39:</u> Broadcaster source-table.</p>
 
 <p><a name="ntripv"><h4>3.19.1.1.5 NTRIP Version - mandatory</h4></p>
@@ -3545,5 +3558,5 @@
 
 <p><img src="IMG/screenshot24.png"/></p>
-<p><u>Figure 39:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
+<p><u>Figure 40:</u> Stream distribution map derived from NTRIP Broadcaster source-table.</p>
 
 <p><a name="streamip"><h4>3.19.1.2 Add Stream - Coming from TCP/IP Port</h4></p>
@@ -3619,5 +3632,5 @@
 </p>
 <p><img src="IMG/screenshot15.png"/></p>
-<p><u>Figure 40:</u> BNC setup for pulling a stream via serial port.</p>
+<p><u>Figure 41:</u> BNC setup for pulling a stream via serial port.</p>
 
 <p><a name="streamsdelete"><h4>3.19.2 Delete Stream</h4></p>
@@ -3798,10 +3811,10 @@
 <tr>
 <td>Apr 2008 &nbsp;</td><td>Version 1.5 &nbsp;</td>
-<td>[Add] Handle ephemeris from RTCM Version 3 streams<br> [Add] Upgrade to Qt Version 4.3.2<br> [Add] Optional RINEX v3 output<br> [Add] SBAS support<br> [Bug] RINEX skeleton download following stream outage<br> [Add] Handle ephemeris from RTIGS streams<br> [Add] Monitor stream failure/recovery and latency<br> [Mod] Redesign of main window<br> [Bug] Freezing of About window on Mac OS X<br> [Bug] Fixed problem with PRN 32 in RTCMv2 decoder<br> [Bug] Fix for Trimble 4000SSI receivers in RTCMv2 decoder<br> [Mod] Major revision of input buffer in RTCMv2 decoder</td>
+<td>[Add] Handle ephemeris from RTCM Version 3 streams<br> [Add] Upgrade to Qt Version 4.3.2<br> [Add] Optional RINEX v3 output<br> [Add] SBAS support<br> [Bug] RINEX skeleton download following stream outage<br> [Add] Handle ephemeris from RTIGS streams<br> [Add] Monitor stream failure/recovery and latency<br> [Mod] Redesign of main window<br> [Bug] Freezing of About window on Mac OS X<br> [Bug] Fixed problem with PRN 32 in RTCM v2 decoder<br> [Bug] Fix for Trimble 4000SSI receivers in RTCM v2 decoder<br> [Mod] Major revision of input buffer in RTCM v2 decoder</td>
 </tr>
 
 <tr>
 <td>Dec 2008 &nbsp;</td><td>Version 1.6 &nbsp;</td>
-<td>[Mod] Fill blank columns in RINEXv3 with 0.000<br> [Add] RTCMv3 decoder for orbit and clock corrections<br>[Add] Check RTCMv3 streams for incoming message types<br> [Add] Decode RTCMv2 message types 3, 20, 21, and 22<br> [Add] Loss of lock and lock time indicator<br> [Bug] Rounding error in RTCMv3 decoder concerning GLONASS height<br> [Mod] Accept GLONASS in RTCMv3 when transmitted first<br> [Add] Leap second 1 January 2009<br> [Add] Offline mode, read data from file<br> [Add] Output antenna descriptor, coordinates and eccentricities from RTCMv3<br> [Add] Reconfiguration on-the-fly<br> [Mod] Binary output of synchronized observations<br> [Add] Binary output of unsynchronized observations<br> [Bug] Fixed problem with joined RTCMv3 blocks</td>
+<td>[Mod] Fill blank columns in RINEX v3 with 0.000<br> [Add] RTCM v3 decoder for orbit and clock corrections<br>[Add] Check RTCM v3 streams for incoming message types<br> [Add] Decode RTCM v2 message types 3, 20, 21, and 22<br> [Add] Loss of lock and lock time indicator<br> [Bug] Rounding error in RTCM v3 decoder concerning GLONASS height<br> [Mod] Accept GLONASS in RTCM v3 when transmitted first<br> [Add] Leap second 1 January 2009<br> [Add] Offline mode, read data from file<br> [Add] Output antenna descriptor, coordinates and eccentricities from RTCM v3<br> [Add] Reconfiguration on-the-fly<br> [Mod] Binary output of synchronized observations<br> [Add] Binary output of unsynchronized observations<br> [Bug] Fixed problem with joined RTCM v3 blocks</td>
 </tr>
 
@@ -3848,10 +3861,10 @@
 <tr>
 <td>Feb 2011 &nbsp;</td><td>Version 2.5 &nbsp;</td>
-<td>[Add] PPP option for sync of clock observations and corrections<br> [Add] Drafted RTCMv3 Galileo ephemeris messages 1045<br> [Add] Drafted RTCMv3 Multiple Signal Messages<br> [Add] Optional specification of sigmas for coordinates and troposphere in PPP<br> [Add] Include Galileo in SPP<br> [Add] Include Galileo observations in output via IP port<br> [Add] Include Galileo observations in output via RINEXv3 files<br> [Mod] Interface format for feeding a real-time engine with observations<br> [Add] Correct observations for antenna phase center offsets<br> [Add] Combine orbit/clock correction streams<br> [Add] Specify corrections mountpoint in PPP panel</td>
+<td>[Add] PPP option for sync of clock observations and corrections<br> [Add] Drafted RTCM v3 Galileo ephemeris messages 1045<br> [Add] Drafted RTCM v3 Multiple Signal Messages<br> [Add] Optional specification of sigmas for coordinates and troposphere in PPP<br> [Add] Include Galileo in SPP<br> [Add] Include Galileo observations in output via IP port<br> [Add] Include Galileo observations in output via RINEX v3 files<br> [Mod] Interface format for feeding a real-time engine with observations<br> [Add] Correct observations for antenna phase center offsets<br> [Add] Combine orbit/clock correction streams<br> [Add] Specify corrections mountpoint in PPP panel</td>
 </tr>
 
 <tr>
 <td>Apr 2011 &nbsp;</td><td>Version 2.6 &nbsp;</td>
-<td>[Add] Complete integration of BNS in BNC<br> [Add] SP3 and Clock RINEX output<br> [Add] PPP in Post Processing Mode<br> [Add] Some RINEX editing & QC functionality<br> [Add] Threshold for orbit outliers in combination solution<br> [Add] Real-time engine becomes orbit/clock server instead of client<br> [Mod] 'EOE' added to orbit/clock stream from engine<br> [Add] Correction for antenna eccentricities<br> [Add] Quick start mode for PPP<br> [Mod] Design of format for feeding engine changed to follow RINEX v3<br> [Mod] Implementation of SSR message encoding modified according to standard<br> [Add] SSL/TLS Support of NTRIP Version 2<br> [Mod] Switch to Qt version 4.7.3<br> [Add] RINEX editing, concatenation and quality check<br> [Add] Reading all configuration options from command line<br> [Mod] RTCMv3 Galileo Broadcast Ephemeris message 1045<br> [Mod] Change default configuration file suffix from 'ini' to 'bnc'<br> [Add] Specific rates for orbits and clocks in streams and SP3/RNX files</td>
+<td>[Add] Complete integration of BNS in BNC<br> [Add] SP3 and Clock RINEX output<br> [Add] PPP in Post Processing Mode<br> [Add] Some RINEX editing & QC functionality<br> [Add] Threshold for orbit outliers in combination solution<br> [Add] Real-time engine becomes orbit/clock server instead of client<br> [Mod] 'EOE' added to orbit/clock stream from engine<br> [Add] Correction for antenna eccentricities<br> [Add] Quick start mode for PPP<br> [Mod] Design of format for feeding engine changed to follow RINEX v3<br> [Mod] Implementation of SSR message encoding modified according to standard<br> [Add] SSL/TLS Support of NTRIP Version 2<br> [Mod] Switch to Qt version 4.7.3<br> [Add] RINEX editing, concatenation and quality check<br> [Add] Reading all configuration options from command line<br> [Mod] RTCM v3 Galileo Broadcast Ephemeris message 1045<br> [Mod] Change default configuration file suffix from 'ini' to 'bnc'<br> [Add] Specific rates for orbits and clocks in streams and SP3/RNX files</td>
 </tr>
 
@@ -3878,5 +3891,5 @@
 <tr>
 <td>Dec 2013 &nbsp;</td><td>Version 2.10 &nbsp;</td>
-<td>[Add] Started work on new version in Aug 2013<br>[Bug] Clock RINEX und SP3 file generation on Windows systems<br>[Bug] Broadcast Ephemeris generation<br>[Add] Transformation ITRF2008 to NAD83 and DREF91<br>[Add] CodeBias added to RTNET stream format<br>[Bug] GPS L2 in 'Feed Engine' output<br>[Mod] Made C1 in BeiDou default observation type instead of C2<br>[Add] Feed engine output sorted per stream<br>[Add] Feed engine output file name change on-the-fly<br>[Add] 'Append files' option for RINEX observation files<br>[Mod] Broadcast Corrections ASCII file output for message 1058 &amp; 1064 modified<br>[Bug] GPS L2 phase data in RINEX2<br>[Bug] GLONASS frequency numbers<br>[Add] RTCMv3 Galileo Broadcast Ephemeris message 1046<br>[Add] Reset ambiguities in PPP when orbit/clock correction IDs change<br>[Add] Satellite clock offsets are reset in adjustment for combination when orbit/clock correction IDs change<br>[Add] Version 2.10 published</td>
+<td>[Add] Started work on new version in Aug 2013<br>[Bug] Clock RINEX und SP3 file generation on Windows systems<br>[Bug] Broadcast Ephemeris generation<br>[Add] Transformation ITRF2008 to NAD83 and DREF91<br>[Add] CodeBias added to RTNET stream format<br>[Bug] GPS L2 in 'Feed Engine' output<br>[Mod] Made C1 in BeiDou default observation type instead of C2<br>[Add] Feed engine output sorted per stream<br>[Add] Feed engine output file name change on-the-fly<br>[Add] 'Append files' option for RINEX observation files<br>[Mod] Broadcast Corrections ASCII file output for message 1058 &amp; 1064 modified<br>[Bug] GPS L2 phase data in RINEX2<br>[Bug] GLONASS frequency numbers<br>[Add] RTCM v3 Galileo Broadcast Ephemeris message 1046<br>[Add] Reset ambiguities in PPP when orbit/clock correction IDs change<br>[Add] Satellite clock offsets are reset in adjustment for combination when orbit/clock correction IDs change<br>[Add] Version 2.10 published</td>
 </tr>
 
@@ -3897,11 +3910,11 @@
 [Add] Decoding RTCM SSR phase bias messages<br>
 [Add] Decoding RTCM SSR ionospheric model messages, single-layer model for total electron content<br>
-[Add] RTCMv3 QZSS Broadcast Ephemeris message 1044<br>
+[Add] RTCM v3 QZSS Broadcast Ephemeris message 1044<br>
 [Add] Handle old-fashioned SNR values in RINEX<br>
 [Mod] SNR and MP visualization depending on RINEX observation attribute<br>
 [Bug] Saastamoinen tropospheric correction for very high elevation receivers<br>
 [Add] Comparison of SP3 files<br>
-[Add] RTCMv3 SBAS Broadcast Ephemeris message 1043<br>
-[Add] RTCMv3 BDS Broadcast Ephemeris message 63 (tentative)<br>
+[Add] RTCM v3 SBAS Broadcast Ephemeris message 1043<br>
+[Add] RTCM v3 BDS Broadcast Ephemeris message 63 (tentative)<br>
 [Bug] VRS support in sending NMEA in Auto/Manual mode to NTRIP Broadcaster<br>
 [Add] Forwarding NMEA GNGGA to NTRIP Broadcaster<br>
@@ -3914,8 +3927,8 @@
 [Add] Broadcast ephemeris check regarding allowed age of data sets<br>
 [Add] Code bias usage for PPP SSR I mode<br>
-[Add] Allow GPS-only and GLONASS-only RINEX Version 2 Navigation files<br>
+[Add] Allow GPS-only and GLONASS-only RINEX v2 Navigation files<br>
 [Mod] SSR clock correction converted to seconds to be consistent with broadcast values<br>
 [Add] Support Galileo I/NAV broadcast ephemeris<br>
-[Add] Extended RINEX Version 3 filenames<br>
+[Add] Extended RINEX v3 filenames<br>
 [Add] Stream's country added to configuration string 'mountPoints'<br>
 [Add] Set TOE from BDS week and second<br>
@@ -3926,5 +3939,5 @@
 [Bug] SBAS IODN<br>
 [Bug] Galileo week number<br>
-[Add] Phase shift records in RINEX Version 3 headers<br>
+[Add] Phase shift records in RINEX v3 headers<br>
 [Add] Output GLONASS slot numbers from scanning stream contents<br>
 [Add] Decoder interface for PPP SSR I+II messages for Galileo/QZSS/SBAS/BDS<br>
@@ -3932,6 +3945,6 @@
 [Add] RINEX QC, receiver/antenna information editable<br>
 [Add] Switch to port 443 for skeleton file donwload from https website<br>
-[Mod] Default observation types for RINEX Version 3 files<br>
-[Bug] RTCM Version 2 decoder<br>
+[Mod] Default observation types for RINEX v3 files<br>
+[Bug] RTCM v2 decoder<br>
 [Add] SINEX Troposphere file output<br>
 [Add] String for Operating System in logfile output<br>